GSPL-SPUCONV(8)

NAME
gspl-spuconv - dump out GNUspool user permissions to file

SYNOPSIS
gspl-spuconv [ -D dir ] [ -v n ] [ -e n ] [ -s ] [ -f ] user file outfile

DESCRIPTION
gspl-spuconv considers a GNUspool spool directory, by default the current directory, takes the user file, which is usually spufile or spufile0.0, and generates a shell script file outfile, which if executed, would recreate the GNUspool users with the same options.

OPTIONS

-D directory
    specifies the source directory for the users and user file. It can be specified as $SPOOLDIR or "${SPOOLDIR-/var/spool/gnuspool}" etc and the environment and/or gnuspool.conf will be interrogated to interpolate the value of the environment variable given.

    If you use this, don't forget to put single quotes around it thus:

     gspl-spuconv -D '${SPOOLDIR-/var/spool/gnuspool}' ...

    otherwise the shell will try to interpret the $ construct and not gspl-spuconv.

-e n
    Tolerate n errors of the kinds denoted by the other options before giving up trying to convert the file.

-s  Ignore file size errors in the saved user file (up to the number of total errors given by the -e option.

-f  Ignore format errors (invalid form types etc) in the saved user file.

SEE ALSO
gspl-cjlist(8), gspl-cplist(8), gspl-setspdir(8).

COPYRIGHT
Copyright (c) 2009 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
John M Collins, Xi Software Ltd.